<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">


<hibernate-mapping default-lazy="false" default-cascade="all">

    <class entity-name="survey" table="SURVEY" lazy="false" >
    
    
        <id type="java.lang.Long" name="id">
            <column name="SURVEY_ID"/>
            <generator class="sequence" >
				<param name="sequence">survey_seq_id</param>
			</generator>
        </id>
        
		<property name="title" column="TITLE" type="java.lang.String" node="title"/>

		<property name="version" column="VERSION" type="java.lang.String" node="version"/>
		
		<!--  <property name="surveyType" column="TYPE" type="java.lang.String" node="type"/> -->
	
	 
    </class>
    
  
   <!--   
      
   
     <class entity-name="survey" table="SURVEY" lazy="false">
        <id type="java.lang.Long" name="id">
            <column name="SURVEY_ID"/>
            <generator class="sequence" >
				<param name="sequence">survey_seq_id</param>
			</generator>
        </id>

		<property name="surveyTitle" column="TITLE" type="java.lang.String" node="surveyTitle"/>

		<property name="surveyVersion" column="VERSION" type="java.lang.String" node="surveyVersion"/>

		<property name="surveyType" column="TYPE" type="java.lang.String" node="type"/>
    </class>
	-->
</hibernate-mapping>